#include <vector>
#include <functional>
#include "FuelRecord.h"

class FuelHistory {

public:

	std::vector<std::pair<double, double>> points, times, rates, rates2;
	double first_odo;
	double first_time;

	// Clear all internal member variables
	void reset();

	// Precalculate necessary graph data points from a set of fuel records.
	void loadData(std::vector<FuelRecord> record);

	std::function<std::string(double)> getSimpleAxisRenderer();

	std::function<std::string(double)> getDateAxisRenderer();

	std::function<std::string(double)> getOdoAxisRenderer();

	std::function<std::string(double)> getDecimatedRenderer(int interval);

};